Name:           feedreader
Version:        2.0.2
Release:        1%{?dist}
Summary:        RSS desktop client

# Some of the source files are GPLv3+ and some are LGPLv3+, which makes the
# combined work GPLv3+.
License:        GPLv3+
URL:            https://github.com/jangernert/FeedReader
Source0:        https://github.com/jangernert/FeedReader/archive/v%{version}%{?pre:-%{pre}}/FeedReader-%{version}%{?pre:-%{pre}}.tar.gz
%if 0%{?fedora} >= 26
# Fix the build with rawhide vala
Patch0:         eb2dc5a27e9d5883b726fb767daba994bae6662c.patch
%endif

BuildRequires:  cmake
BuildRequires:  gettext
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(goa-1.0)
BuildRequires:  pkgconfig(gstreamer-1.0)
BuildRequires:  pkgconfig(gstreamer-pbutils-1.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libcurl)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(libpeas-1.0)
BuildRequires:  pkgconfig(libsecret-1)
BuildRequires:  pkgconfig(libsoup-2.4)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(rest-0.7)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(webkit2gtk-4.0)
BuildRequires:  vala
BuildRequires:  /usr/bin/appstream-util
BuildRequires:  /usr/bin/desktop-file-validate

Requires:       dbus
Requires:       hicolor-icon-theme

%description
FeedReader is a modern desktop application designed to complement existing
web-based RSS accounts. It combines all the advantages of web based services
like synchronization across all your devices with everything you expect from a
modern desktop application.


%prep
%autosetup -p1 -n FeedReader-%{version}%{?pre:-%{pre}}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake ..
popd

make -C %{_target_platform}


%install
%make_install -C %{_target_platform}

rm -f $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/*/actions/*.svg.moved

# Install appdata file
mkdir -p $RPM_BUILD_ROOT%{_datadir}/appdata
cp -a data/org.gnome.FeedReader.appdata.xml $RPM_BUILD_ROOT%{_datadir}/appdata/

%find_lang FeedReader


%check
appstream-util validate-relax --nonet $RPM_BUILD_ROOT%{_datadir}/appdata/org.gnome.FeedReader.appdata.xml
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/org.gnome.FeedReader.desktop


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
update-desktop-database &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
    glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :
fi
update-desktop-database &>/dev/null || :

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
glib-compile-schemas %{_datadir}/glib-2.0/schemas &>/dev/null || :


%files -f FeedReader.lang
%license COPYING
%{_bindir}/feedreader*
%{_libdir}/FeedReader/
%{_datadir}/FeedReader/
%{_datadir}/appdata/org.gnome.FeedReader.appdata.xml
%{_datadir}/applications/org.gnome.FeedReader.desktop
%{_datadir}/dbus-1/services/org.gnome.FeedReader.Daemon.service
%{_datadir}/glib-2.0/schemas/org.gnome.feedreader*.gschema.xml
%{_datadir}/icons/hicolor/*/apps/org.gnome.FeedReader.svg
%{_datadir}/icons/hicolor/scalable/apps/org.gnome.FeedReader-symbolic.svg


%changelog
* Mon Feb 27 2017 Pete Walter <pwalter@fedoraproject.org> - 2.0.2-1
- Update to 2.0.2

* Mon Feb 20 2017 Pete Walter <pwalter@fedoraproject.org> - 2.0.1-1
- Update to 2.0.1

* Mon Feb 13 2017 Pete Walter <pwalter@fedoraproject.org> - 2.0-1
- Update to 2.0

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-0.2.beta1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 02 2017 Pete Walter <pwalter@fedoraproject.org> - 2.0-0.1.beta1
- Update to 2.0 beta 1

* Thu Sep 22 2016 Pete Walter <pwalter@fedoraproject.org> - 1.6.2-2
- Add missing intltool build dependency

* Tue Aug 30 2016 Pete Walter <pwalter@fedoraproject.org> - 1.6.2-1
- Update to 1.6.2

* Thu Aug 04 2016 Pete Walter <pwalter@fedoraproject.org> - 1.6.1-1
- Update to 1.6.1

* Mon Aug 01 2016 Pete Walter <pwalter@fedoraproject.org> - 1.6.0-1
- Update to 1.6.0

* Sun May 15 2016 Peter Walter <pwalter@fedoraproject.org> - 1.6-0.1.beta1
- Update to 1.6 beta 1

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jan 13 2016 Pete Walter <pwalter@fedoraproject.org> - 1.4.3-1
- Update to 1.4.3

* Sat Dec 12 2015 Pete Walter <pwalter@fedoraproject.org> - 1.4.2-1
- Update to 1.4.2

* Wed Nov 18 2015 Pete Walter <pwalter@fedoraproject.org> - 1.4.1-1
- Update to 1.4.1
- Disable vilistextum support as we don't have that packaged in Fedora

* Sat Oct 10 2015 Pete Walter <pwalter@fedoraproject.org> - 1.4-0.1.beta
- Update to 1.4-beta

* Wed Sep 23 2015 Pete Walter <pwalter@fedoraproject.org> - 1.2.1-4
- Add missing html2text dependency

* Wed Sep 09 2015 Pete Walter <pwalter@fedoraproject.org> - 1.2.1-3
- Add update-desktop-database rpm scripts
- Add a comment explaining the licensing
- Depend on dbus for /usr/share/dbus-1/services directory

* Fri Sep 04 2015 Pete Walter <pwalter@fedoraproject.org> - 1.2.1-2
- Update to respinned 1.2.1 tarball
- Include app icon

* Fri Sep 04 2015 Pete Walter <pwalter@fedoraproject.org> - 1.2.1-1
- Update to 1.2.1
- Ship COPYING file
- Use American spelling of 'synchronization'
- Use autosetup macro
- Install appdata file

* Thu Sep 03 2015 Pete Walter <pwalter@fedoraproject.org> - 1.2-1
- Initial packaging
